# Examples of SAML authentication with Latvija.lv

## Intro

This module provides two example authentication service handlers for two different use cases.

### Logging into Drupal via Latvija.lv

After authentication via Latvija.lv the user becomes a Drupal user. If a user logs in for the
first time, a Drupal user is created. The username is a hashed value from the encrypted
national ID number.

To use this authentication service, place the following line in `settings.php`:

```
// The Drupal service responsible for the authentication handling.
$settings['latvia_auth_saml.authentication_service_name'] = 'latvia_auth_saml_example.example_login_authentication_service';
```

### Storing authenticated Latvija.lv user data in session

If the authenticated Latvija.lv user should not become a Drupal user, the encrypted user data
can be stored in Drupal session for the duration of the session lifetime. Useful when authenticated
Latvija.lv user data is needed for certain operations on the website without populating the
Drupal user space.

To use this authentication service, place the following line in `settings.php`:

```
// The Drupal service responsible for the authentication handling.
$settings['latvia_auth_saml.authentication_service_name'] = 'latvia_auth_saml_example.example_session_authentication_service';
```
