<?php

namespace Drupal\latvia_auth_saml;

use Drupal\Core\Site\Settings;
use Drupal\latvia_auth_saml\Exception\DebuggableExceptionInterface;

/**
 * The development logger service class.
 */
class DevelopmentLogger {

  /**
   * Logs the debugging messages.
   *
   * @param \Exception $e
   *   Exception instance.
   */
  public static function logException(\Exception $e) {
    if (Settings::get('latvia_auth_saml.debug', FALSE)) {
      $errors[] = $e->getMessage();

      if ($e instanceof DebuggableExceptionInterface) {
        $errors = array_merge($errors, $e->getErrors());
      }

      \Drupal::logger('latvia_auth_saml')->error(implode("\n", $errors));

      return;
    }

    watchdog_exception('latvia_auth_saml', $e);
  }

  /**
   * Adds debug message.
   *
   * @param string $message
   *   Message to log.
   */
  public static function logMessage($message) {
    if (Settings::get('latvia_auth_saml.debug', FALSE)) {
      \Drupal::logger('latvia_auth_saml')->debug($message);
    }
  }

}
