<?php

namespace Drupal\latvia_auth_saml\Exception;

/**
 * The debuggable exception base class.
 */
abstract class DebuggableExceptionBase extends \Exception implements DebuggableExceptionInterface {

  /**
   * A list of errors.
   *
   * @var array|int|mixed
   *   A list of errors.
   */
  protected $errors = [];

  /**
   * {@inheritdoc}
   */
  public function __construct($errors = []) {
    parent::__construct($this->message);
    $this->errors = $errors;
  }

  /**
   * Returns a list of errors.
   *
   * @return array|int|mixed
   *   A list of errors.
   */
  public function getErrors() {
    return $this->errors;
  }

}
