<?php

namespace Drupal\latvia_auth_saml;

/**
 * The filter interface.
 */
interface FilterInterface {

  /**
   * Filters the given string.
   *
   * Filtering can be any kind of scalar transformation - encryption etc.
   *
   * @param string $string
   *   String to filter.
   *
   * @return string|false
   *   Filtered string or FALSE.
   */
  public function filter($string);

  /**
   * Un-filters the given string.
   *
   * @param string $string
   *   String to un-filter.
   *
   * @return string|false
   *   Un-filtered string or FALSE.
   */
  public function unfilter($string);

}
