<?php

namespace Drupal\latvia_auth_saml;

/**
 * The user data interface.
 */
interface UserDataInterface {

  /**
   * Returns the national ID number.
   *
   * @return string
   *   National ID number
   */
  public function getNationalIdNumber();

  /**
   * Returns the formatted national ID number (with a dash).
   *
   * @return string
   *   Formatted national ID number
   */
  public function getFormattedNationalIdNumber();

  /**
   * Returns the given name.
   *
   * @return string
   *   Given name.
   */
  public function getGivenName();

  /**
   * Returns the surname.
   *
   * @return string
   *   Surname.
   */
  public function getSurname();

}
